use dotenv::dotenv;
use std::env;

mod file;
pub mod hash;
mod http_server;
mod data;

use file::get_file;

fn main() {
    dotenv().ok();
    if env::var("URL").is_err() || env::var("PORT").is_err() {
        println!("Please set .env file, you can see an example in the file .env.example");
        return;
    }
    let _file = get_file();
    let res = http_server::main();
    if res.is_err() {
        println!("Error in server: {}", res.unwrap_err())
    }
}